<?php
/**
* 404 Page Settings.
*
* @package Home Construction Builder
*/

$home_construction_builder_default = home_construction_builder_get_default_theme_options();

$wp_customize->add_section( 'home_construction_builder_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'home-construction-builder' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'home_construction_builder_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'home_construction_builder_404_main_title',
    array(
        'default'           => $home_construction_builder_default['home_construction_builder_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'home_construction_builder_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'home-construction-builder' ),
        'section'  => 'home_construction_builder_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'home_construction_builder_404_subtitle_one',
    array(
        'default'           => $home_construction_builder_default['home_construction_builder_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'home_construction_builder_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'home-construction-builder' ),
        'section'  => 'home_construction_builder_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'home_construction_builder_404_para_one',
    array(
        'default'           => $home_construction_builder_default['home_construction_builder_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'home_construction_builder_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'home-construction-builder' ),
        'section'  => 'home_construction_builder_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'home_construction_builder_404_subtitle_two',
    array(
        'default'           => $home_construction_builder_default['home_construction_builder_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'home_construction_builder_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'home-construction-builder' ),
        'section'  => 'home_construction_builder_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'home_construction_builder_404_para_two',
    array(
        'default'           => $home_construction_builder_default['home_construction_builder_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'home_construction_builder_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'home-construction-builder' ),
        'section'  => 'home_construction_builder_404_page_settings',
        'type'     => 'text',
    )
);